std::is_error_condition_enum< _Tp > Struct Template Reference
Diagnostics

`#include <system_error>`

Inheritance diagram for std::is_error_condition_enum< _Tp >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

template<typename _Tp>
struct std::is_error_condition_enum< _Tp >

is_error_condition_enum

Definition at line 64 of file system_error.

## Member Typedef Documentation

## type

template<typename _Tp , _Tp __v>

typedef integral_constant<_Tp, __v> std::integral_constant< _Tp, __v >::type

inherited

Definition at line 69 of file type_traits.

## value_type

template<typename _Tp , _Tp __v>

typedef _Tp std::integral_constant< _Tp, __v >::value_type

inherited

Definition at line 68 of file type_traits.

## Member Function Documentation

## operator value_type()

template<typename _Tp , _Tp __v>

constexpr std::integral_constant< _Tp, __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 70 of file type_traits.

## operator()()

template<typename _Tp , _Tp __v>

constexpr value_type std::integral_constant< _Tp, __v >::operator() | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 75 of file type_traits.

The documentation for this struct was generated from the following file:

- system_error